Generalise type of deleteBy and deleteFirstsBy
AbandonedPublic

Authored by mpickering on Sep 11 2016, 7:53 AM.

Details

Reviewers
hvr
austin
bgamari
Trac Issues
#3399
Summary

Here is the relevant libraries discussion thread.

https://mail.haskell.org/pipermail/libraries/2016-September/027319.html

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Branch
delete-patch
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 10985
Build 13134: [GHC] Linux/amd64: Patch building
Build 13133: arc lint + arc unit
mpickering updated this revision to Diff 8704.Sep 11 2016, 7:53 AM
mpickering retitled this revision from to Generalise type of deleteBy and deleteByFirsts.
mpickering updated this object.
mpickering edited the test plan for this revision. (Show Details)
mpickering updated the Trac tickets for this revision.
mpickering updated this object.Sep 11 2016, 7:54 AM
mpickering edited edge metadata.
mpickering retitled this revision from Generalise type of deleteBy and deleteByFirsts to Generalise type of deleteBy and deleteFirstsBy.Sep 11 2016, 7:59 AM
bgamari accepted this revision.Sep 11 2016, 9:10 AM
bgamari edited edge metadata.

Thanks for picking this up, @mpickering!

This revision is now accepted and ready to land.Sep 11 2016, 9:10 AM
ekmett added a subscriber: ekmett.Sep 11 2016, 9:52 AM

Let's make sure to allow this to percolate fully through the libraries@ process before merging.

bgamari requested changes to this revision.Sep 12 2016, 7:43 AM
bgamari edited edge metadata.

Sure, requesting changes to ensure there are no misunderstandings.

This revision now requires changes to proceed.Sep 12 2016, 7:43 AM
mpickering requested a review of this revision.Sep 24 2016, 5:36 AM
mpickering edited edge metadata.

It's not clear to me how the discussion thread concluded. @mpickering?

bgamari requested changes to this revision.Sep 29 2016, 9:44 PM
bgamari edited edge metadata.

Bumping out of review queue until we have a clear picture of the conclusion of the CLC discussion.

This revision now requires changes to proceed.Sep 29 2016, 9:44 PM
mpickering abandoned this revision.Oct 16 2016, 8:05 AM

I am going to abandon this as I don't need this change and the libraries process is stuck in limbo.